Project and Portfolio Management Practitioners Forum
cancel

PPM 9.12 integration with ALM 11.0

Highlighted
sdef
Super Contributor.

PPM 9.12 integration with ALM 11.0

Hi,

 

I recently completed a project that is the integration between PPM 9.10 and ALM 11.0 in Windows.

It was a success! Now im tasked to do an integration between PPM 9.12 and ALM 11.0 in Linux server.

The problem was that HP support told me that there's no ppm-912-ALM.jar, instead use the ppm-910.ALM.jar

that i used previously. But when i tried to deploy the jar file to PPM 9.12 there were errors and the extraction of

the jar file wont get through.

 

"Java stack trace:

An unknown error has occurred. for more information, please contact your PPM administrator

and provide the following GUID number:

GUID=DAE49C69-7FDB-3907-5CBE-807AAAFF7885

nested detail:logs/deploy/912/ALM/log_1/Round_1/WF_ALM_Change_Migration.html (permission denied)"

 

 

Please help if you have any idea or documentations in integrating PPM 9.12 and ALM 11.0

 

Thanks

sdef

10 REPLIES
jerome.vovard
Super Contributor.

Re: PPM 9.12 integration with ALM 11.0

Seems to be a permission issue under the PPM log folder. Did you use the same Linux account to install PPM than to install the ALM package?

Don't forget that the ALM package will deploy ALM request types and portlets, that's it. It's not mandatory if you planned to create our own Request type.

In my case, I installed this package on top of PPM 9.14 (on windows 2008) with no error.

 

Hope this 'll help you.

Regards,

sdef
Super Contributor.

Re: PPM 9.12 integration with ALM 11.0

Yes i used the root acount.

In your integration with PPM 9.14, did you used ppm-910-ALM.jar??

Becasue im sure that there is no ppm-914-ALM.jar.

 

 

jerome.vovard
Super Contributor.

Re: PPM 9.12 integration with ALM 11.0

Yes, I used ppm-910-ALM.jar package (size 1,61Mb).

Regarding the account, did you use the root account to put the jar file to th PPM home directory?

Do a chmod to check the jar file has the same permissions as the other files under the directory.

sdef
Super Contributor.

Re: PPM 9.12 integration with ALM 11.0

Hi,

 

Im able to integrate now but only from PPM to ALM.

The second option in the QC integration configuration in PPM which is

"creating a QC entity automatically creates a PPM request" is not working.

Im not sure why.. :(

jerome.vovard
Super Contributor.

Re: PPM 9.12 integration with ALM 11.0

You can't create a PPM request from a QC requirement...

You can create a PPM request from a QC defect....

sdef
Super Contributor.

Re: PPM 9.12 integration with ALM 11.0

I can create a QC defect from PPM request.    :)

 

I can't create a PPM request from QC defect.  :(

 

Those are my scenarios.

 

 Do you have any idea what may cause this issue?!

Claudio Espinoz
Respected Contributor.

Re: PPM 9.12 integration with ALM 11.0

Hello you both, I'm trying to accomplish the exact same integration.

Installed the ppm-912-CMQC.jar (now available in HP) and I'm trying to integrate PPM 9.14 and ALM11 Patch9.

Everything installs as its supposed (lots of mods to folder permissions due to W2K8 security scheme).

Now I'm stuck on trying to use the OTA from ALM in the Windows 2008 Server machine with PPM.

From the Center Management guide I took this sentence to validate correct registration of the OTA library:

"cscript.exe /nologo qcm_qc_ListOfDomains.vbs

<QC_URL_Address> <QC_User> <QC_Password>"

Now this yields the following error:

"Error! Unable to create Quality Centers TDConnection instance! Please verify that QC User site client libraries have bee

n installed on your ITG server (message: ActiveX component cant create object)."

Im not sure what do to now with this scenario, and this wont let me register the QC instance in PPM through the Request process. You guys have any thoughts?

 

Thanks in advance,

Claudio.

TurboMan
Honored Contributor.

Re: PPM 9.12 integration with ALM 11.0

Hi all,

 

Just want to share my expericence, it was between PPM 8.14 and QC 10.

IMHO, PPM and QC integration is a pain in the neck.

After we upgrade to 9.14, we finally cut off the QC and PPM integration.

Just to create a requirement from PPM side sometimes it was causing problems.

Time to time, PPM requests were stuck and could not move to the next step with an "Error 500 null" kind of message.

After stopping the integration, we are now happy.

 

(No need KUDOS for this exprience)

 

sdef
Super Contributor.

Re: PPM 9.12 integration with ALM 11.0

Hi TurboMan,

 

So you don't proceed with the integration.

My problem now is that the HP support told me that there has been a known issue between the version ALM 11.0 SP2 and higher intregration with HP PPM 9.12. Im still consulting this with HP support to get the compatibility matrix. One support told me that the best version for integration would be PPM 9.12 and ALM 11.0 SP2.

 

Regards,

Feds

sdef
Super Contributor.

Re: PPM 9.12 integration with ALM 11.0

Hi Claudio,

 

Is your ALM freshly installed?

have you registered the client plugins?

in \qcbin go to plugins choose the third option and below clik register.

It will install all needed libraries ,activeX and directories for your client.

You can also register the site admin plugin if you will use the site admin for ALM.

 

Regards,

feds